## procps 4.0.3

=== debian/changelog ===
procps (2:4.0.3-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 18 Feb 2023 19:55:19 +0200

procps (2:4.0.3-1) unstable; urgency=medium

  * New upstream release
    - docs: Translated manpages installed
    - pgrep: make --terminal respect other criteria
    - ps: c flag shows command name again Closes: #1026326
    - skill: Match on -p again Closes: #1025915
    - vmstat: Referesh memory statistics Closes: #1027963
    - vmstat: Fix initial si,so,bi,bo,in & cs values Closes: #668580
  * Update standards version
  * Improve cross-building Closes: #1031343

 -- Craig Small <csmall@debian.org>  Sat, 18 Feb 2023 10:17:15 +1100
