=== debian/control ===
Source: procps
Section: admin
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper-compat (= 13),
    dh-exec (>= 0.3),
    libncurses-dev,
    dejagnu,
    libnuma-dev [amd64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64el],
    pkg-config
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/procps
Vcs-Git: https://salsa.debian.org/debian/procps.git
Homepage: https://gitlab.com/procps-ng/procps

Package: procps
Priority: important
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.29~)
Breaks: guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 ),
        manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
        manpages-fr-extra (<< 20151231+nmu1)
Replaces: manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
          manpages-fr-extra (<< 20151231+nmu1)
Provides: watch
Recommends: psmisc
Description: /proc file system utilities
 This package provides command line and full screen utilities for browsing
 procfs, a "pseudo" file system dynamically generated by the kernel to
 provide information about the status of entries in its process table
 (such as whether the process is running, stopped, or a "zombie").
 .
 It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
 snice, sysctl, tload, top, uptime, vmstat, w, and watch.

Package: libproc2-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: procps ( << 1:3.3.2-1)
Description: library for accessing process information from /proc
 The libproc2 library is a way of accessing information out of the /proc
 filesystem.
 .
 This package contains the shared libraries necessary to run programs
 compiled with libproc2.

Package: libproc2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libproc2-0 (=${binary:Version}), ${misc:Depends}
Replaces: libproc-2-dev
Conflicts: libproc-2-dev
Description: library for accessing process information from /proc
 These are the header files for libproc2. Some packages using libproc2
 to access process information from /proc need these to compile.
