=== debian/rules ===
--- 
+++ 
@@ -7,24 +7,30 @@
 DEBROOT=$(CURDIR)/debian/tmp
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 configure_flags += --host=$(DEB_HOST_GNU_TYPE)
+CROSS = PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config \
+	ac_cv_func_malloc_0_nonnull=yes \
+	ac_cv_func_realloc_0_nonnull=yes
+else
+CROSS=
 endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-LINUX_CONFIGURE_EXTRA_FLAGS = --with-systemd --enable-libselinux
+LINUX_CONFIGURE_EXTRA_FLAGS = --without-systemd --enable-libselinux
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	./configure \
+	$(CROSS) ./configure \
 	  $(configure_flags) \
 	  --build=$(DEB_BUILD_GNU_TYPE) \
 	  --disable-silent-rules \
@@ -34,7 +40,9 @@
 	  --disable-modern-top \
 	  --prefix=/usr \
 	  --exec-prefix=/ \
-	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  --build=$(DEB_BUILD_GNU_TYPE) \
+	  --host=$(DEB_HOST_GNU_TYPE) \
 
 
 override_dh_auto_install: $(autogen-files)
@@ -83,6 +91,3 @@
 	dh_installinit --no-start
 endif
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
