## procps 4.0.4

=== debian/changelog ===
procps (2:4.0.4-9.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 31 Jul 2025 18:58:54 +0300

procps (2:4.0.4-9) unstable; urgency=medium

  [ Craig Small ]
  * d/changelog: Fix number for skill bug

  [ Andrew Bower ]
  * Initialise sessions variable in w. (Closes: #1108549)
  * d/patches: get sessions even if !sd_booted()

 -- Craig Small <csmall@debian.org>  Wed, 30 Jul 2025 21:58:40 +1000

procps (2:4.0.4-8) unstable; urgency=medium

  * Port 4.0.5 patches:
    - library: recover from meminfo seek in LXC Closes: #1072831
    - library: print user/day when value is zero
    - library: Use clock_gettime for pids API Closes: #842879
    - kill: Correctly parse negative pids
    - sysctl: Don't read some keys Closes: #978688
    - skill: Fix lonesome : in help Closes: #1086641
    - sysctl.conf.5 Note changes with systemd Closes: #1077187
    - vmstat.8: si/so are changed by --unit Closes: #1061944
    - w: Don't crash with short option Closes: #1054345
    - w: Only count user sessions Closes: #1098385
    - w.1: Mention utmp only for non-systemd Closes: #1080333
    - watch.1: --chgexit only on visible changes Closes: #729569
  * Port 4.0.6 patches:
    - w: Add terminal mode -t option
    - w: Use process TTY for user TTY Closes: #1080335

 -- Craig Small <csmall@debian.org>  Mon, 14 Apr 2025 18:06:27 +1000

procps (2:4.0.4-7) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add file trigger on /usr/lib/sysctl.d to apply new configuration
    Closes: #1088203

  [ Craig Small ]
  * Updated watch file for GitLab api Closes: #1079806
  * Add rm_conffile for /etc/sysctl.conf Closes: #1085130
  * Update standards version to 4.7.0, no change
  * Update/Add patches metadata

 -- Craig Small <csmall@debian.org>  Tue, 10 Dec 2024 16:35:44 +1100

procps (2:4.0.4-6) unstable; urgency=medium

  * Remove old conffile sysctl.conf Closes: #1076352
  * Fixed vmstat regex, thanks Paul! Closes: #1072533

 -- Craig Small <csmall@debian.org>  Mon, 30 Sep 2024 07:24:54 +1000

procps (2:4.0.4-5) unstable; urgency=medium

  * Add Recommends: linux-sysctl-defaults Closes: #1074156
  * Remove /etc/sysctl.conf as using /etc/sysctl.d/*.conf is better
  * Updated /etc/sysctld.d/README
  * Remove maintscript as these are very old files
  * Remove old Breaks control:
     guymager <= 0.5.9 : stable is 0.8.13
     open-vm-tools <= 2011 : stable uses a epoch
  * Remove libsystemd-dev build-dep version  >= 209 : stable is 252

 -- Craig Small <csmall@debian.org>  Thu, 11 Jul 2024 18:41:23 +1000

procps (2:4.0.4-4) unstable; urgency=medium

  * Moved into unstable

 -- Craig Small <csmall@debian.org>  Sun, 28 Jan 2024 21:15:10 +1100

procps (2:4.0.4-3) experimental; urgency=medium

  * Move files to /usr for DEP17. (Closes: #1059817)
  * Placed into experimental

 -- Craig Small <csmall@debian.org>  Tue, 02 Jan 2024 19:33:53 +1100

procps (2:4.0.4-2) unstable; urgency=medium

  * Loosen regex and check file perms in pmap test Closes: #1052034
  * pkgtest: Update vmstat check
  * Skip pmap -X/XX PID PID check as flakey on buildds

 -- Craig Small <csmall@debian.org>  Mon, 09 Oct 2023 17:02:52 +1100

procps (2:4.0.4-1) unstable; urgency=medium

  * New upstream release
    - ps: Fix buffer overflow in -C option CVE-2023-4016 Closes: #1042887
    - library: Refactor the escape code Closes: #1035649
    - pgrep: Use only --signal option for signal Closes: #1031765
    - pgrep: suppress >15 warning if using regex Closes: #1037450
    - ps: fixed missing or corrupted fields with -m option Closes: #1036631
    - free: New -L option for one line output
    - ps: New --signames options to show signal names
  * watch: Color support turned on by default use -C to turn off
  * Remove redundant lines from sysctl.conf Closes: #968711

 -- Craig Small <csmall@debian.org>  Thu, 07 Sep 2023 21:31:09 +1000
