=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
     libncurses-dev,
     dejagnu,
     libnuma-dev [amd64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64el],
-    pkg-config
-Standards-Version: 4.6.2
+    pkgconf
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/procps
 Vcs-Git: https://salsa.debian.org/debian/procps.git
 Homepage: https://gitlab.com/procps-ng/procps
@@ -18,13 +18,12 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.29~)
-Breaks: guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 ),
-        manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
+Breaks: manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
         manpages-fr-extra (<< 20151231+nmu1)
 Replaces: manpages-de (<< 4.9.1-2), manpages-fr (<< 4.9.1-2), manpages-pl (<< 1:4.9.1-2),
           manpages-fr-extra (<< 20151231+nmu1)
 Provides: watch
-Recommends: psmisc
+Recommends: psmisc, linux-sysctl-defaults
 Description: /proc file system utilities
  This package provides command line and full screen utilities for browsing
  procfs, a "pseudo" file system dynamically generated by the kernel to
