=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
version=4
opts="searchmode=plain, filenamemangle=s/.*\/procps-v([0-9.]+)\.tar\.gz/procps-$1\.tar\.gz/g" \
  https://gitlab.com/procps-ng/procps/-/tags?sort=updated_desc -/archive/v[0-9.]+/procps-v([0-9.]+)\.tar\.gz
