## procps 4.0.5

=== debian/changelog ===
procps (2:4.0.5-1) unstable; urgency=medium

  * New upstream version
    library: Recover from meminfo seek using LXC Closes: #1072831
    ps.1: Update man page to standards Closes: #1081801
    snice: Minor fix for help screen Closes: #1086441
    sysctl: --all skips stat_refresh Closes: #978688
    vmstat.8: si/so are changed by --unit Closes: #1061944
    w.1: Note utmp is for non-systemd Closes: #1080333
    w.1: Update man page to standards Closes: #1077367
    w: Don't segfault with -s option
    watch.1: --chgexit only works for visible changes Closes: #729569
  * Remove ps_not_path_max patch as upstream has it
  * Remove makefile_w_link_systemd as its fixed upstream

 -- Craig Small <csmall@debian.org>  Thu, 19 Dec 2024 13:09:01 +1100
