=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
     libncurses-dev,
     dejagnu,
     libnuma-dev [amd64 i386 ia64 mips mipsel mips64 mips64el powerpc ppc64el],
-    pkgconf
+    pkgconf,
+    libsystemd-dev [linux-any]
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/procps
 Vcs-Git: https://salsa.debian.org/debian/procps.git
@@ -33,7 +34,7 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libproc2-0
+Package: libproc2-1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -51,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libproc2-0 (=${binary:Version}), ${misc:Depends}
+Depends: libproc2-1 (=${binary:Version}), ${misc:Depends}
 Replaces: libproc-2-dev
 Conflicts: libproc-2-dev
 Description: library for accessing process information from /proc
