## procps 4.0.6

=== debian/changelog ===
procps (2:4.0.6-1) experimental; urgency=medium

  * New upstream version
    library and w: Don't check for sd_booted Closes: #1108549
    pgrep: Match on process ID Closes: #612146
    pgrep: Add --quiet option
    pmap: add -k option to print raw names from kernel
    ps.1: cols and collums alias width option Closes: #926361
    ps.1: Add format equivalents Closes: #925437
    slabtop: Increase column width Closes: #959375
    sysctl: Use options after --system  Closes: #978989
    w: Add terminal mode to show all terminal sessions
    w: Use process TTY as backup for user TTY Closes: #1080335
    w: Use correct return value for sd_get_sessions Closes: #1068904
    watch: Add --follow option Closes: #469156
    watch: 256 color support
    watch.1: Warn about -d permanent option Closes: #883638

 -- Craig Small <csmall@debian.org>  Thu, 29 Jan 2026 21:34:30 +1100
